Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 54)
@@ -27,9 +27,16 @@
             try
             {
                 // 初期サイズ保持
-                m_GridWidth = dgvAllDisplay.Width;
+                m_GridWidth = (double)dgvAllDisplay.Width;
                 m_WindowWidth = this.Width;
                 m_WindowHeight = this.Height;
+
+                int ArrayCount = Enum.GetNames(typeof(DispGridColumn)).Length;
+                m_GridCellWidth = new double[ArrayCount];
+                for (int i = 0; i < dgvAllDisplay.Columns.Count; i++)
+                {
+                    m_GridCellWidth[i] = dgvAllDisplay.Columns[i].Width;
+                }
             }
             catch (Exception ex)
             {
@@ -48,6 +55,21 @@
             {
                 DataGridView dgv = dgvAllDisplay;
 
+                if (bNormal)
+                {
+                    for (int i = 0; i < dgvAllDisplay.Columns.Count; i++)
+                    {
+                        dgvAllDisplay.Columns[i].Width = (int)m_GridCellWidth[i];
+                    }
+                }
+                else
+                {
+                    double diffwidth = dgv.Width - m_GridWidth;
+                    double Colwitdh1 = m_GridCellWidth[(int)DispGridColumn.Titile] / m_GridWidth;
+                    double Colwitdh2 = 1.0 - Colwitdh1;
+                    dgv.Columns[(int)DispGridColumn.Titile].Width += (int)(diffwidth * Colwitdh1);
+                    dgv.Columns[(int)DispGridColumn.Detail].Width += (int)(diffwidth * Colwitdh2);
+                }
             }
             catch (Exception ex)
             {
@@ -64,11 +86,15 @@
         private bool GetBaseInfoData()
         {
             IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfoDetail DetailDB = new IOConstructionBaseInfoDetail();
             try
             {
                 string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
                 if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
 
+                strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                if (!DetailDB.SelectAction(strSQL, ref m_ConstructionBaseInfoDetail)) return false;
+
                 return true;
             }
             catch (Exception ex)
@@ -94,16 +120,17 @@
             m_DspLabelCtrl = new Control[ArrayCount];
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode] = lblLabel01;         // 工事番号
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;         // 工事名称
-            m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate] = dTPCreateDate;     // 作成日
+            m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName] = lblLabel06;        // 発注者名称
             m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName] = lblLabel03;       // 作成者名
             m_DspLabelCtrl[(int)DspLblCtrlName.MeetingDate] = dtMeetingDate;    // 打合せ日
-            m_DspLabelCtrl[(int)DspLblCtrlName.StartHours] = numcUD1;           // 開始時
+            m_DspLabelCtrl[(int)DspLblCtrlName.StartHours] = numUD1;            // 開始時
             m_DspLabelCtrl[(int)DspLblCtrlName.StartMinutes] = numUD2;          // 開始時
             m_DspLabelCtrl[(int)DspLblCtrlName.CompHours] = numUD3;             // 終了時
             m_DspLabelCtrl[(int)DspLblCtrlName.CompMinutes] = numUD4;           // 終了時
-            m_DspLabelCtrl[(int)DspLblCtrlName.Place1] = textBox1;              // 場所1
-            m_DspLabelCtrl[(int)DspLblCtrlName.Place2] = textBox2;              // 場所2
-            m_DspLabelCtrl[(int)DspLblCtrlName.Place3] = textBox3;              // 場所3
+            m_DspLabelCtrl[(int)DspLblCtrlName.Palce1] = radioButton1;          // 場所（現地）
+            m_DspLabelCtrl[(int)DspLblCtrlName.Palce2] = radioButton2;          // 場所（その他）
+            m_DspLabelCtrl[(int)DspLblCtrlName.PalceName] = textBox1;           // 場所名
+            m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType] = label17;     // 工事種別
         }
         #endregion
 
@@ -133,23 +160,33 @@
         private bool DispHeader()
         {
             IOConstructionBaseInfoDetail BaseDDB = new IOConstructionBaseInfoDetail();
-            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
-                // 工事名称取得
-                string strSQL = BaseDDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += string.Format(" AND DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
-                ConstructionBaseInfoDetail DetailRec = new ConstructionBaseInfoDetail();
-                BaseDDB.SelectAction(strSQL, ref DetailRec);
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = DetailRec.DetailString;
+                // 名称取得
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, B.DETAILSTRING, C.ORDERERSNAME1, C.ORDERERSNAME2, D.PERSONNAME, E.NAMESTRING";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A";
+                strSQL += string.Format(" LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO = {0}",
+                                        (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += " LEFT JOIN ORDERERSMASTER C ON C.ORDERCOTEGORY = A.ORDERERSDIVISION AND C.ORDERERSCODE = A.ORDERERSCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN CONSTRUCTIONTYPEMASTER E ON E.TYPECODE = A.CONSTRUCTIONTYPE";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                ArrayList arList = new ArrayList();
+                if (!BaseDDB.ExecuteReader(strSQL, ref arList)) return false;
+                object[] objRec = (object[])arList[0];
 
-                // 担当者取得
-                int Person = CommonMotions.LoginUserData.PersonCode;
-                strSQL = PersonDB.CreatePrimarykeyString(Person);
-                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                PersonDB.SelectAction(strSQL, ref PersonRec);
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = PersonRec.PersonName;
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionCode, "-", 8);
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = CommonMotions.cnvString(objRec[1]);
+                string strName = string.Format("{0}　{1}", CommonMotions.cnvString(objRec[2]), CommonMotions.cnvString(objRec[3]));
+                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName].Text = strName;
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = CommonMotions.cnvString(objRec[4]);
 
+                string NameString = CommonMotions.cnvString(objRec[5]);
+                Font workFont = m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Font;
+                // 文字数が多い場合はFontを小さくする
+                if (NameString.Length > 13) workFont = new Font(m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Font.FontFamily, 9);
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Font = workFont; m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = NameString;
+
                 return true;
             }
             catch (Exception ex)
@@ -160,7 +197,6 @@
             finally
             {
                 BaseDDB.close(); BaseDDB = null;
-                PersonDB.close(); PersonDB = null;
             }
         }
         #endregion
@@ -173,7 +209,27 @@
         {
             try
             {
+                dgvAllDisplay.Rows.Clear();
+                dgvPerson.Rows.Clear();
+                textBox1.Text = string.Empty;
+                numUD1.Value = 0;
+                numUD2.Value = 0;
+                numUD3.Value = 0;
+                numUD4.Value = 0;
 
+                ArrayList MainRec = new ArrayList();
+                
+                // 議事録データ読込み
+                if (!ReadMainData(ref MainRec)) return;
+
+                // 議事録データ表示
+                DispMainData(MainRec);
+
+                // 参加者データ表示
+                DispAttendData();
+
+                // 議事明細データ表示
+                DispDetailData();
             }
             catch (Exception ex)
             {
@@ -181,12 +237,163 @@
             }
             finally
             {
-                if ((5 - dgvPerson.RowCount) > 0) dgvPerson.RowCount += (5 - dgvPerson.RowCount);
-                if ((16 - dgvAllDisplay.RowCount) > 0) dgvAllDisplay.RowCount += (16 - dgvAllDisplay.RowCount);
+                if ((s_PersonRow - dgvPerson.RowCount) > 0) dgvPerson.RowCount += (s_PersonRow - dgvPerson.RowCount);
+                if ((s_DetailRow - dgvAllDisplay.RowCount) > 0) dgvAllDisplay.RowCount += (s_DetailRow - dgvAllDisplay.RowCount);
             }
         }
         #endregion
 
+        #region 議事録データ読込み
+        /// <summary>
+        /// 議事録データ読込み
+        /// </summary>
+        private bool ReadMainData(ref ArrayList MainRec)
+        {
+            IOProceedingsData ProDB = new IOProceedingsData();
+            try
+            {
+                DateTime dtSelect = dtMeetingDate.Value;
+                string strSQL = "SELECT";
+                strSQL += " TO_CHAR(A.PROCEEDINGSDATADATE,'YYYY/MM/DD'),";
+                strSQL += " A.STARTMEETINGTIME,";
+                strSQL += " A.ENDMEETINGTIME,";
+                strSQL += " B.DEPARTMENTCODE,";
+                strSQL += " A.CREATORCODE,";
+                strSQL += " A.PALCEFLAG,";
+                strSQL += " A.MEETINGPALCE";
+                strSQL += " FROM PROCEEDINGSDATA A";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.CREATORCODE";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += string.Format(" AND A.PROCEEDINGSDATADATE = TO_DATE('{0}','YYYY/MM/DD')", dtSelect.ToShortDateString());
+
+                if (!ProDB.ExecuteReader(strSQL, ref MainRec)) return false;
+                if (MainRec.Count == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ProDB.close(); ProDB = null;
+            }
+        }
+        #endregion
+
+        #region 議事録データ表示
+        /// <summary>
+        /// 議事録データ表示
+        /// </summary>
+        private void DispMainData(ArrayList MainRec)
+        {
+            try
+            {
+                DateTime dtSelect = dtMeetingDate.Value;
+                object[] objRec = (object[])MainRec[0];
+
+                dtMeetingDate.Value = CommonMotions.cnvDate(objRec[0]);
+                int StartTime = CommonMotions.cnvInt(objRec[1]);
+                int CompTime = CommonMotions.cnvInt(objRec[2]);
+                numUD1.Value = StartTime / 100;
+                numUD2.Value = StartTime % 100;
+                numUD3.Value = CompTime / 100;
+                numUD4.Value = CompTime % 100;
+
+                cmbDepartment.SelectedValue = CommonMotions.cnvInt(objRec[3]);
+                SetcombBoxPerson();
+                cmbConstructionPerson.SelectedValue = CommonMotions.cnvInt(objRec[4]);
+
+                if (CommonMotions.cnvInt(objRec[5]) == 1)
+                {
+                    radioButton1.Checked = true;
+                }
+                else
+                {
+                    radioButton2.Checked = true;
+                    textBox1.Text = CommonMotions.cnvString(objRec[6]);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 参加者データ表示
+        /// <summary>
+        /// 参加者データ表示
+        /// </summary>
+        private void DispAttendData()
+        {
+            IOProceedingsDataAttend ProDB = new IOProceedingsDataAttend();
+            try
+            {
+                DateTime dtSelect = dtMeetingDate.Value;
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtSelect);
+                strSQL += " ORDER BY SEQNO";
+                List<ProceedingsDataAttend> AttendRec = new List<ProceedingsDataAttend>();
+                ProDB.SelectAction(strSQL, ref AttendRec);
+
+                DataGridView dgv = dgvPerson;
+                foreach (ProceedingsDataAttend CurRec in AttendRec)
+                {
+                    dgv.Rows.Add(CurRec.Department, CurRec.AttendName);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                ProDB.close(); ProDB = null;
+            }
+        }
+        #endregion
+
+        #region 議事明細データ表示
+        /// <summary>
+        /// 議事明細データ表示
+        /// </summary>
+        private void DispDetailData()
+        {
+            IOProceedingsDataDetail ProDB = new IOProceedingsDataDetail();
+            try
+            {
+                DateTime dtSelect = dtMeetingDate.Value;
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtSelect);
+                strSQL += " ORDER BY SEQNO";
+                List<ProceedingsDataDetail> DetailRec = new List<ProceedingsDataDetail>();
+                ProDB.SelectAction(strSQL, ref DetailRec);
+
+                DataGridView dgv = dgvAllDisplay;
+                foreach (ProceedingsDataDetail CurRec in DetailRec)
+                {
+                    // SEQNOが行数と違えばその分空行を増やす
+                    if (CurRec.SeqNo != (dgv.RowCount + 1))
+                    {
+                        int AddLine = (CurRec.SeqNo - 1) - dgv.RowCount;
+                        dgv.Rows.Add(AddLine);
+                    }
+
+                    dgv.Rows.Add(CurRec.TitleNo, CurRec.Title, CurRec.ContentsText);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                ProDB.close(); ProDB = null;
+            }
+        }
+        #endregion
+
         #region 初期処理
         /// <summary>
         /// 初期時データ取得
@@ -225,6 +432,9 @@
         /// <returns></returns>
         private bool DataEntryProcess()
         {
+            IOProceedingsData ProDB = new IOProceedingsData();
+            IOProceedingsDataAttend AttendDB = new IOProceedingsDataAttend();
+            IOProceedingsDataDetail DetailDB = new IOProceedingsDataDetail();
             try
             {
                 //データチェック
@@ -233,7 +443,34 @@
                 if (MessageBox.Show("議事録データを更新します、よろしいですか？", "登録確認"
                                     , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
 
+                ProDB.connect(); ProDB.beginTran();
+                AttendDB.connect(); AttendDB.beginTran();
+                DetailDB.connect(); DetailDB.beginTran();
 
+                // 発注者打ち合わせ議事録データ登録
+                if (!EntryProceedingsData(ProDB))
+                {
+                    ProDB.rollback();
+                    return false;
+                }
+
+                // 発注者打ち合わせ議事録データ（出席者）登録
+                if (!EntryProceedingsDataAttend(AttendDB))
+                {
+                    ProDB.rollback();
+                    AttendDB.rollback();
+                    return false;
+                }
+
+                // 発注者打ち合わせ議事録データ（明細）登録
+                if (!EntryProceedingsDataDetail(DetailDB))
+                {
+                    ProDB.rollback();
+                    AttendDB.rollback();
+                    DetailDB.rollback();
+                    return false;
+                }
+
                 // データ変更フラグOff
                 m_bChengeAns = false;
 
@@ -246,10 +483,194 @@
             }
             finally
             {
+                ProDB.commit();
+                AttendDB.commit();
+                DetailDB.commit();
+
+                ProDB.close(); ProDB = null;
+                AttendDB.close(); AttendDB = null;
+                DetailDB.close(); DetailDB = null;
             }
         }
         #endregion
 
+        #region 発注者打ち合わせ議事録データ登録
+        /// <summary>
+        /// 発注者打ち合わせ議事録データ登録
+        /// </summary>
+        /// <returns></returns>
+        private bool EntryProceedingsData(IOProceedingsData ProDB)
+        {
+            try
+            {
+                DateTime dtWork = dtMeetingDate.Value;
+
+                ProceedingsData DataRec = new ProceedingsData();
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                bool bExists = ProDB.SelectAction(strSQL, ref DataRec, false);
+
+                // 工事番号
+                DataRec.ConstructionCode = m_ConstructionCode;
+                // 議事録作成日
+                DataRec.ProceedingsDataDate = dtWork;
+                // 作成者コード
+                DataRec.CreatorCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                // 会議時間開始
+                DataRec.StartMeetingTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                // 会議時間終了
+                DataRec.EndMeetingTime = (int)((numUD3.Value * 100) + (int)numUD4.Value);
+                // 現地フラグ・打合せ場所
+                if (radioButton1.Checked)
+                {
+                    DataRec.PalceFlag = 1;
+                    DataRec.MeetingPalce = string.Empty;
+                }
+                else
+                {
+                    DataRec.PalceFlag = 0;
+                    DataRec.MeetingPalce = textBox1.Text;
+                }
+
+                bool bReturn = true;
+                if (bExists)
+                {
+                    bReturn = ProDB.UpdateAction(strSQL, DataRec, false);
+                }
+                else
+                {
+                    bReturn = ProDB.InsertAction(DataRec, false);
+                }
+
+                if (!bReturn)
+                {
+                    MessageBox.Show("議事録データの更新に失敗しました", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                }
+
+                return bReturn;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者打ち合わせ議事録データ（出席者）登録
+        /// <summary>
+        /// 発注者打ち合わせ議事録データ（出席者）登録
+        /// </summary>
+        /// <param name="ProDB"></param>
+        /// <returns></returns>
+        private bool EntryProceedingsDataAttend(IOProceedingsDataAttend ProDB)
+        {
+            try
+            {
+                DateTime dtWork = dtMeetingDate.Value;
+
+                // まず削除
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                ProDB.DeleteAction(strSQL, false);
+
+                int icnt = 0;
+                bool bReturn = true;
+                foreach (DataGridViewRow CurRow in dgvPerson.Rows)
+                {
+                    string strWork1 = CommonMotions.cnvString(CurRow.Cells[0].Value);
+                    string strWork2 = CommonMotions.cnvString(CurRow.Cells[1].Value);
+
+                    // 入力無は処理しない
+                    if (strWork1.Length == 0 && strWork2.Length == 0) continue;
+
+                    ProceedingsDataAttend DataRec = new ProceedingsDataAttend();
+
+                    // 工事番号
+                    DataRec.ConstructionCode = m_ConstructionCode;
+                    // 議事録作成日
+                    DataRec.ProceedingsDataDate = dtWork;
+                    // 会議時間開始
+                    DataRec.StartMeetingTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                    // データ行番号
+                    DataRec.SeqNo = ++icnt;
+                    // 出席者所属
+                    DataRec.Department = strWork1;
+                    // 出席者氏名
+                    DataRec.AttendName = strWork2;
+
+                    if (!(bReturn = ProDB.InsertAction(DataRec, false)))
+                    {
+                        MessageBox.Show("議事録データ（出席者）の更新に失敗しました", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        break;
+                    }
+                }
+                return bReturn;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 発注者打ち合わせ議事録データ（明細）登録
+        /// <summary>
+        /// 発注者打ち合わせ議事録データ（明細）登録
+        /// </summary>
+        /// <param name="ProDB"></param>
+        /// <returns></returns>
+        private bool EntryProceedingsDataDetail(IOProceedingsDataDetail ProDB)
+        {
+            try
+            {
+                DateTime dtWork = dtMeetingDate.Value;
+
+                // まず削除
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                ProDB.DeleteAction(strSQL, false);
+
+                bool bReturn = true;
+                foreach(DataGridViewRow CurRow in dgvAllDisplay.Rows)
+                {
+                    string strWork1 = CommonMotions.cnvString(CurRow.Cells[0].Value);
+                    string strWork2 = CommonMotions.cnvString(CurRow.Cells[1].Value);
+                    string strWork3 = CommonMotions.cnvString(CurRow.Cells[2].Value);
+
+                    if (strWork1.Length == 0 && strWork2.Length == 0 && strWork3.Length == 0) continue;
+
+                    ProceedingsDataDetail DataRec = new ProceedingsDataDetail();
+
+                    // 工事番号
+                    DataRec.ConstructionCode = m_ConstructionCode;
+                    // 議事録作成日
+                    DataRec.ProceedingsDataDate = dtWork;
+                    // データ行番号
+                    DataRec.SeqNo = (CurRow.Index + 1);
+                    // 会議時間開始
+                    DataRec.StartMeetingTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                    // 議題番号
+                    DataRec.TitleNo = strWork1;
+                    // 議題
+                    DataRec.Title = strWork2;
+                    // 内容
+                    DataRec.ContentsText = strWork3;
+
+                    if (!(bReturn = ProDB.InsertAction(DataRec, false)))
+                    {
+                        MessageBox.Show("議事録データ（明細）の更新に失敗しました", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        break;
+                    }
+                }
+                return bReturn;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
@@ -261,8 +682,102 @@
             {
                 // 終了時はチェックしない
                 if (ActiveControl.Name.Equals(btnEnd.Name)) return true;
+                CommonMotions.chgBackColor(numUD1, true);
+                CommonMotions.chgBackColor(numUD2, true);
+                CommonMotions.chgBackColor(numUD3, true);
+                CommonMotions.chgBackColor(numUD4, true);
+                if (numUD1.Value == 0 && numUD2.Value == 0 && numUD3.Value == 0 && numUD4.Value == 0)
+                {
+                    CommonMotions.chgBackColor(numUD1, false);
+                    CommonMotions.chgBackColor(numUD2, false);
+                    CommonMotions.chgBackColor(numUD3, false);
+                    CommonMotions.chgBackColor(numUD4, false);
+                    MessageBox.Show("時間が設定されていません。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
 
-                return true;
+                int Personcode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                CommonMotions.chgBackColor(cmbConstructionPerson, true);
+                if (Personcode == 0)
+                {
+                    CommonMotions.chgBackColor(cmbConstructionPerson, false);
+                    MessageBox.Show("作成者が設定されていません。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                string strWork = string.Empty;
+                bool bAns = true;
+                // 場所チェック
+                if (radioButton2.Checked)
+                {
+                    if (!CommonMotions.chkStringLength(textBox1.Text, 120))
+                    {
+                        MessageBox.Show("打合せ場所が長すぎです。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                    else if (!CommonMotions.DispFieldIndispensable(textBox1))
+                        {
+                            MessageBox.Show("打合せ場所が入力されていません。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return false;
+                        }
+                }
+                    
+                // 参加者グリッドチェック
+                foreach (DataGridViewRow CurRow in dgvPerson.Rows)
+                {
+                    CurRow.Cells[0].Style.BackColor = CommonDefine.s_clrNormal;
+                    CurRow.Cells[1].Style.BackColor = CommonDefine.s_clrNormal;
+                    strWork = CommonMotions.cnvString(CurRow.Cells[0].Value);
+                    if (!CommonMotions.chkStringLength(strWork, 20))
+                    {
+                        // 背景色変更
+                        CurRow.Cells[0].Style.BackColor = CommonDefine.s_clrError;
+                        bAns &= false;
+                    }
+                    strWork = CommonMotions.cnvString(CurRow.Cells[1].Value);
+                    if (!CommonMotions.chkStringLength(strWork, 10))
+                    {
+                        // 背景色変更
+                        CurRow.Cells[1].Style.BackColor = CommonDefine.s_clrError;
+                        bAns &= false;
+                    }
+                }
+
+                // 議事グリッドチェック
+                foreach (DataGridViewRow CurRow in dgvAllDisplay.Rows)
+                {
+                    CurRow.Cells[0].Style.BackColor = CommonDefine.s_clrNormal;
+                    CurRow.Cells[1].Style.BackColor = CommonDefine.s_clrNormal;
+                    CurRow.Cells[2].Style.BackColor = CommonDefine.s_clrNormal;
+                    strWork = CommonMotions.cnvString(CurRow.Cells[0].Value);
+                    if (!CommonMotions.chkStringLength(strWork, 5))
+                    {
+                        // 背景色変更
+                        CurRow.Cells[0].Style.BackColor = CommonDefine.s_clrError;
+                        bAns &= false;
+                    }
+                    strWork = CommonMotions.cnvString(CurRow.Cells[1].Value);
+                    if (!CommonMotions.chkStringLength(strWork, 20))
+                    {
+                        // 背景色変更
+                        CurRow.Cells[1].Style.BackColor = CommonDefine.s_clrError;
+                        bAns &= false;
+                    }
+                    strWork = CommonMotions.cnvString(CurRow.Cells[2].Value);
+                    if (!CommonMotions.chkStringLength(strWork, 50))
+                    {
+                        // 背景色変更
+                        CurRow.Cells[2].Style.BackColor = CommonDefine.s_clrError;
+                        bAns &= false;
+                    }
+                }
+
+                if (!bAns)
+                {
+                    MessageBox.Show("入力文字長が長すぎます。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                }
+
+                return bAns;
             }
             catch (System.Exception ex)
             {
@@ -280,8 +795,18 @@
         /// <param name="e"></param>
         private bool DataRemoveProcess()
         {
+            IOProceedingsData ProDB = new IOProceedingsData();
+            IOProceedingsDataAttend AttendDB = new IOProceedingsDataAttend();
+            IOProceedingsDataDetail DetailDB = new IOProceedingsDataDetail();
             try
             {
+                DateTime dtWork = dtMeetingDate.Value;
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+
+                // データが無い場合は削除しない
+                ProceedingsData MainData = new ProceedingsData();
+                if (!ProDB.SelectAction(strSQL, ref MainData)) return false;
+
                 if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return false;
 
@@ -288,7 +813,20 @@
                 if (MessageBox.Show("「はい(Y)」を選択すると表示中の議事録データは削除されます！！\n本当によろしいですか？", "削除確認"
                         , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return false;
 
+                ProDB.connect(); ProDB.beginTran();
+                AttendDB.connect(); AttendDB.beginTran();
+                DetailDB.connect(); DetailDB.beginTran();
 
+
+                if (!ProDB.DeleteAction(strSQL, false))
+                {
+                    MessageBox.Show("議事録データの削除に失敗しました", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    ProDB.rollback();
+                    return false;
+                }
+                AttendDB.DeleteAction(strSQL, false);
+                DetailDB.DeleteAction(strSQL, false);
+
                 // データ変更フラグOff
                 m_bChengeAns = false;
 
